Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Yixuan Chen <[email-masked]>
Date: Sun, 27 Oct 2024 13:29:31 -0400

On 10/27/24 13:19, Eli Zaretskii wrote:
> It's quite clear from the image that the "misaligned" line uses a font
> with a different slant/weight/height value.  If that is the reason, I
> guess the problem is with composition caching, but why is that an
> issue in real life?  Do real-life Lisp programs modify face font
> attributes so frequently?

It's not about frequency, but probably total number of font face 
attribute changes. The lisp code I submitted was changing the attributes 
rapidly just to recreate the problem faster. In real-life, this problem 
happens with normal emacs configuration, usually within half an hour.

For reference, here 
(https://github.com/LukeXuan/dot-files/tree/e6067ec232ea34e01fb9a1f1a358d1c328d47c50/.config/doom) 
is my emacs configuration on top of doom. I primarily write LaTeX and 
Coq and this problem occurs every 30 minutes or so. The solution is to 
either restart emacs (what I used to do) or disable ligature altogether 
(what I do now).